aboutsummaryrefslogtreecommitdiffstats
path: root/main/haproxy/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-07-13 11:11:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-07-13 11:19:43 +0000
commit70f6c0c7d9b0f04828b9638a8d6574ab31fea9f9 (patch)
tree0a9d83b908352028b48966a3c638a8352c1b6a9c /main/haproxy/APKBUILD
parent19e5fcd3d4830cce0859bf42a9b6444bedc1ccd0 (diff)
downloadaports-70f6c0c7d9b0f04828b9638a8d6574ab31fea9f9.tar.gz
aports-70f6c0c7d9b0f04828b9638a8d6574ab31fea9f9.tar.bz2
aports-70f6c0c7d9b0f04828b9638a8d6574ab31fea9f9.tar.xz
main/haproxy: upgrade to 1.4.15
Diffstat (limited to 'main/haproxy/APKBUILD')
-rw-r--r--main/haproxy/APKBUILD15
1 files changed, 8 insertions, 7 deletions
diff --git a/main/haproxy/APKBUILD b/main/haproxy/APKBUILD
index 38c43b1c4b..4e158d1b89 100644
--- a/main/haproxy/APKBUILD
+++ b/main/haproxy/APKBUILD
@@ -1,29 +1,30 @@
# Contributor: Jeff Bilyk <jbilyk@gmail.com>
-# Maintainer: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=haproxy
-pkgver=1.4.11
+pkgver=1.4.15
pkgrel=0
pkgdesc="A TCP/HTTP reverse proxy for high availability environments"
url="http://haproxy.1wt.eu"
arch="all"
license="GPL"
depends=""
-makedepends=""
+makedepends="pcre-dev"
install=
-subpackages=""
+subpackages="$pkgname-doc"
source="http://haproxy.1wt.eu/download/1.4/src/$pkgname-$pkgver.tar.gz
haproxy.initd"
build() {
cd "$srcdir/$pkgname-$pkgver"
- make TARGET=linux26 || return 1
+ make TARGET=linux26 USE_PCRE=1 CFLAGS="$CFLAGS" || return 1
}
package() {
cd "$srcdir/$pkgname-$pkgver"
- make DESTDIR="$pkgdir" PREFIX=/usr install
+ make DESTDIR="$pkgdir" PREFIX=/usr DOCDIR=/usr/share/doc/haproxy \
+ install
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
}
-md5sums="4f0638652d7800860838dc195da335d8 haproxy-1.4.11.tar.gz
+md5sums="c1b4fc6028c6d8e23dde8c91ff47eabe haproxy-1.4.15.tar.gz
cce88addaac6ee8065633b94c404300d haproxy.initd"